#!/usr/bin/env ts-node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const yargs_1 = __importDefault(require("yargs/yargs"));
const optionName = process.argv.splice(2, 1)[0];
const args = yargs_1.default().alias('e', 'env').alias('c', 'config').parse(process.argv.slice(2));
const env = args['env'];
if (!args['config']) {
    if (!fs_1.default.existsSync(path_1.default.resolve('webpack.config.ts')) &&
        !fs_1.default.existsSync(path_1.default.resolve('webpack.config.js'))) {
        process.argv.push('--config', path_1.default.join(__dirname, 'webpack.config.js'));
    }
}
const setEnv = (defaultEnv) => {
    if (env === undefined) {
        process.argv.push('--env', defaultEnv);
    }
    if (process.env.NODE_ENV === undefined) {
        process.env.NODE_ENV = env || defaultEnv;
    }
};
switch (optionName) {
    case 'start':
        process.env.IS_HOT = 'yes';
        setEnv('development');
        require('v8-compile-cache');
        require('webpack-dev-server/bin/webpack-dev-server.js');
        break;
    case 'build':
        process.env.IS_HOT = 'no';
        setEnv('production');
        require('webpack-cli/bin/cli.js');
        break;
    default:
        throw new Error('Unknown command');
}
