"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDevServerAfter = exports.setDevServer = void 0;
const openBrowser_1 = __importDefault(require("react-dev-utils/openBrowser"));
const setDevServer = (_, mooli) => {
    return {
        contentBase: '.',
        publicPath: '/mooli-mobile',
        port: mooli.getPort(),
        host: '0.0.0.0',
        hot: true,
        disableHostCheck: true,
        clientLogLevel: 'none',
        quiet: false,
        inline: true,
        overlay: true,
        open: true,
        // transportMode: 'ws',
        watchOptions: {
            aggregateTimeout: 1,
            ignored: /node_modules/,
            poll: false,
        },
        historyApiFallback: {
            disableDotRule: true,
        },
    };
};
exports.setDevServer = setDevServer;
const setDevServerAfter = (config, mooli) => {
    const host = config.host || '0.0.0.0';
    config.host = host;
    if (!config.stats) {
        // @ts-ignore
        config.stats = mooli.getConfig().stats;
    }
    if (config.open) {
        const originalAfter = config.after;
        const displayHost = host === '0.0.0.0' ? 'localhost' : host;
        const protocol = config.http2 || config.https ? 'https' : 'http';
        config.open = false;
        config.after = (app, server, compile) => {
            originalAfter === null || originalAfter === void 0 ? void 0 : originalAfter(app, server, compile);
            setTimeout(() => openBrowser_1.default(`${protocol}://${displayHost}:${config.port}/`), 3000);
        };
    }
};
exports.setDevServerAfter = setDevServerAfter;
