"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setOptimizationAfter = exports.setOptimization = void 0;
const terser_webpack_plugin_1 = __importDefault(require("terser-webpack-plugin"));
const css_minimizer_webpack_plugin_1 = __importDefault(require("css-minimizer-webpack-plugin"));
const setOptimization = (config, webpack) => {
    config.nodeEnv = webpack.getEnvironment();
    config.runtimeChunk = true;
    if (webpack.isHot()) {
        config.removeAvailableModules = false;
        config.removeEmptyChunks = false;
        config.splitChunks = false;
    }
    else {
        config.minimize = true;
        config.minimizer = [];
        config.splitChunks = {
            chunks: 'all',
            cacheGroups: {
                defaultVendors: {
                    test: /[\\/]node_modules[\\/]/,
                    priority: -10,
                    chunks: 'all',
                },
                default: {
                    minChunks: 2,
                    chunks: 'all',
                    priority: -20,
                    reuseExistingChunk: true,
                },
            },
        };
    }
};
exports.setOptimization = setOptimization;
const setOptimizationAfter = (uglifyConfig, optimization) => {
    if (optimization.minimize) {
        optimization.minimizer = optimization.minimizer || [];
        optimization.minimizer.push(new terser_webpack_plugin_1.default(uglifyConfig), new css_minimizer_webpack_plugin_1.default());
    }
};
exports.setOptimizationAfter = setOptimizationAfter;
