"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setResolve = void 0;
const path_1 = __importDefault(require("path"));
const paths_1 = require("../utils/paths");
const setResolve = (resolve, mooli) => {
    resolve.extensions = [];
    if (mooli.hasPackage('typescript')) {
        resolve.extensions = ['.ts'];
        if (mooli.hasPackage('react')) {
            resolve.extensions.push('.tsx');
        }
    }
    resolve.extensions.push('.js');
    if (mooli.hasPackage('react')) {
        resolve.extensions.push('.jsx');
    }
    if (mooli.hasPackage('vue')) {
        resolve.extensions.push('.vue');
    }
    resolve.alias = {
        'react': path_1.default.resolve('./node_modules/react'),
        'react-dom': path_1.default.resolve('./node_modules/react-dom'),
        'entry-js': paths_1.ENTRY_JS_FILE,
        'entry-style': paths_1.ENTRY_STYLE_FILE,
        'mooli-mobile': paths_1.COMPONENTS_DIR,
    };
};
exports.setResolve = setResolve;
