"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ENTRY_STYLE_FILE = exports.ENTRY_JS_FILE = exports.ENTRY_SITE_DIR = exports.PACKAGE_JSON_FILE = exports.TS_CONFIG__JSON_FILE = exports.MOOLI_CONFIG_FILE = exports.COMPONENTS_DIR = exports.DOCS_DIR = exports.SITE_DIST_DIR = exports.BUILD_DIST_DIR = exports.LIB_DIR = exports.ES_DIR = exports.ROOT = exports.CWD = exports.findRootDir = void 0;
const path_1 = require("path");
const fs_extra_1 = require("fs-extra");
function findRootDir(dir) {
    if (fs_extra_1.existsSync(path_1.join(dir, 'mooli.config.js'))) {
        return dir;
    }
    const parentDir = path_1.dirname(dir);
    if (dir === parentDir) {
        return dir;
    }
    return findRootDir(parentDir);
}
exports.findRootDir = findRootDir;
// 项目根目录路径
exports.CWD = process.cwd();
exports.ROOT = findRootDir(exports.CWD);
exports.ES_DIR = path_1.join(exports.ROOT, 'es');
exports.LIB_DIR = path_1.join(exports.ROOT, 'lib');
exports.BUILD_DIST_DIR = path_1.join(exports.ROOT, 'dist');
exports.SITE_DIST_DIR = path_1.join(exports.ROOT, 'site');
exports.DOCS_DIR = path_1.join(exports.ROOT, 'docs');
exports.COMPONENTS_DIR = path_1.join(exports.ROOT, 'components');
exports.MOOLI_CONFIG_FILE = path_1.join(exports.ROOT, 'mooli.config.js');
exports.TS_CONFIG__JSON_FILE = path_1.join(exports.ROOT, 'ts.config.js');
exports.PACKAGE_JSON_FILE = path_1.join(exports.ROOT, 'package.json');
// 入口文件路径
exports.ENTRY_SITE_DIR = path_1.join(__dirname, '../../site');
exports.ENTRY_JS_FILE = path_1.join(exports.ENTRY_SITE_DIR, 'entry-js.js');
exports.ENTRY_STYLE_FILE = path_1.join(exports.ENTRY_SITE_DIR, 'entry-style.less');
