import React from 'react';
import Menu from './menu';
import SearchInput from './searchInput';
import Language from './language';
import './style.less';

const Header = ({ locale, lang, title, logo }) => {
  return (
    <div className="header">
      <div className="header-container">
        <a className="header-logo" href={`#/components/index/${lang}`}>
          <img src={logo} alt="logo" />
          <span>{title}</span>
        </a>
        <div className="header-nav">
          <SearchInput />
          <Menu locale={locale} lang={lang} />
          <Language />
        </div>
      </div>
    </div>
  );
};

export default Header;
