import { config } from 'entry-js';
import React from 'react';
import { NavLink, useParams, withRouter } from 'react-router-dom';
import { setLang } from '../../../common/locale';
import { hasRoutes } from '../../../common/utils';

const { locales } = config.site;

const Language = () => {
  const params = useParams();
  const { component = '' } = params;
  const langs = Object.keys(locales);
  const dirname = hasRoutes(component);

  return (
    <div className="lang-container">
      {langs.map((lang) => (
        <NavLink
          key={lang}
          to={`/${dirname}/${component}/${lang}`}
          onClick={() => setLang(lang)}
          replace
        >
          <span>{locales[lang].langLabel}</span>
        </NavLink>
      ))}
    </div>
  );
};

export default withRouter(Language);
