import React from 'react';
import { hasRoutes } from '../../../common/utils';

const Menu = ({ locale, lang }) => {
  const { links } = locale;

  return (
    <ul className="menu-container">
      {links.map((item) => {
        const dirname = hasRoutes(item.path);
        let curpath = item.path;
        if (dirname) curpath = `#/${dirname}/${item.path}/${lang}`;

        return (
          <li key={item.title}>
            <a href={curpath}>{item.title}</a>
          </li>
        );
      })}
    </ul>
  );
};

export default Menu;
