import React from 'react';
import { NavLink } from 'react-router-dom';
import { hasRoutes } from '../../../common/utils';
import './style.less';

const SideBar = ({ locale, lang }) => {
  return (
    <div className="side-bar">
      {locale.nav.map((val) => {
        if (val.hideInMenu) return null;
        return (
          <div className="side-bar-item" key={val.title}>
            <div className="side-bar-title">{val.title}</div>
            <div className="side-bar-body">
              {val.items.map((item) => {
                const dirname = hasRoutes(item.path);
                if (item.hideInMenu) return null;
                return (
                  <NavLink
                    key={item.title}
                    to={{
                      pathname: `/${dirname}/${item.path}/${lang}`,
                      hideSimulator: item.hideSimulator || val.hideSimulator || false
                    }}
                    activeClassName="selected"
                    replace
                  >{item.title}</NavLink>
                )
              })}
            </div>
          </div>
        )
      })}
    </div>
  )
}
export default SideBar;
