import commonRouter from '../common/router';

import Layout from './layout';
import NotFound from './pages/NotFound';

// desktop组件路由
function desktopRoutes() {
  const routes = [];

  if (commonRouter) {
    for (const key in commonRouter) {
      if (commonRouter.hasOwnProperty(key)) {
        const components = commonRouter[key];
        routes.push({
          path: `/${key}/:component`,
          component: Layout,
          children: components,
        });
      }
    }
  }

  // 404 页面
  routes.push({
    path: '*',
    component: NotFound,
  });

  return routes;
}

export default desktopRoutes();
