import React from 'react';
import { Route, Switch } from 'react-router-dom';
import Loading from '../components/Loading';
import Container from '../components/Container';
import Markdown from '../components/Markdown';

const LoadableComponent = (content, name) => <Markdown content={content} name={ name}/>;

class Layout extends React.PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      visible: true,
    };
  }
  componentDidMount() {
    this.setState({
      visible: false,
    });
  }
  render() {
    const { route } = this.props;
    const { visible } = this.state;

    return (
      <Container>
        <Loading visible={visible} />
        <Switch>
          {route?.children.map((route, i) => (
            <Route
              key={Number(i)}
              path={route.path}
              component={() => LoadableComponent(route.component, route.name)}
            />
          ))}
        </Switch>
      </Container>
    );
  }
}

export default Layout;
