import { config } from 'entry-js';
import commonRouter from '../common/router';

import Layout from './layout';
import NotFound from './pages/NotFound';

const componentDir = config.paths && config.paths.componentDir || 'components'

// mobile组件路由
function mobileRoutes() {
  const { components = [] } = commonRouter;

  const routes = [
    {
      path: `/${componentDir}/:component`,
      component: Layout,
      children: components,
    },
    {
      path: '*',
      component: NotFound,
    }
  ];
  console.log(routes)
  return routes;
}

export default mobileRoutes();
